# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateConfig Class Reference

Base Class for the Kate Config Classes. More...

`#include <kateconfig.h>`

List of all members.

## Public Member Functions

| KateConfig ()
virtual | ~KateConfig ()
void | configStart ()
void | configEnd ()

## Protected Member Functions

virtual void | updateConfig ()=0

## Detailed Description

Base Class for the Kate Config Classes.

Definition at line 43 of file kateconfig.h.

## Constructor & Destructor Documentation

KateConfig::KateConfig | ( |  | ) |

| Default Constructor. Definition at line 46 of file kateconfig.cpp.

KateConfig::~KateConfig | ( |  | ) | `[virtual]`

| Virtual Destructor. Definition at line 51 of file kateconfig.cpp.

## Member Function Documentation

void KateConfig::configStart | ( |  | ) |

| start some config changes this method is needed to init some kind of transaction for config changes, update will only be done once, at configEnd() call Definition at line 55 of file kateconfig.cpp.

void KateConfig::configEnd | ( |  | ) |

| end a config change transaction, update the concerned documents/views/renderers Definition at line 65 of file kateconfig.cpp. References updateConfig().

virtual void KateConfig::updateConfig | ( |  | ) | `[protected, pure virtual]`

| do the real update Referenced by configEnd().

The documentation for this class was generated from the following files:

- kateconfig.h
- kateconfig.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003